Install Mists Of RioV for 1.7.10

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (Mists Of RioV for 1.7.10) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select Mists Of RioV for 1.7.10 from the list on the left. The launcher will handle everything else!

Mists Of RioV for 1.7.10 Version 1.0.2

created by mrnosuch on Minecraft Version 1.7.10

Mists Of RioV for 1.7.10 updated to version 1.0.1

Fixes for liteloader for voxelmap.
mrnosuch posted a changelog update for Mists Of RioV for 1.7.10 2 years ago

Comments

You must be logged in to comment. Click here to register a new account or log in.

Latest Update

Mists Of RioV for 1.7.10 was updated to version 1.0.1